Apply by doing:
        cd /usr/src
        patch -p0 < 005_pfsync.patch

Then build and install a new kernel.

Index: sys/net/if_pfsync.c
===================================================================
RCS file: /cvs/src/sys/net/if_pfsync.c,v
retrieving revision 1.143.2.1
retrieving revision 1.143.2.2
diff -u -r1.143.2.1 -r1.143.2.2
--- sys/net/if_pfsync.c	24 Mar 2010 20:52:09 -0000	1.143.2.1
+++ sys/net/if_pfsync.c	14 May 2010 09:02:41 -0000	1.143.2.2
@@ -1,4 +1,4 @@
-/*	$OpenBSD: if_pfsync.c,v 1.143.2.1 2010/03/24 20:52:09 pyr Exp $	*/
+/*	$OpenBSD: if_pfsync.c,v 1.143.2.2 2010/05/14 09:02:41 stephan Exp $	*/
 
 /*
  * Copyright (c) 2002 Michael Shalayeff
@@ -1473,6 +1473,7 @@
 {
 	struct pfsync_upd_c *up = buf;
 
+	bzero(up, sizeof(*up));
 	up->id = st->id;
 	pf_state_peer_hton(&st->src, &up->src);
 	pf_state_peer_hton(&st->dst, &up->dst);
@@ -1484,8 +1485,6 @@
 	else
 		up->expire = htonl(up->expire - time_second);
 	up->timeout = st->timeout;
-
-	bzero(up->_pad, sizeof(up->_pad)); /* XXX */
 }
 
 void
